Subject: bug#14598: 24.3; global-hl-line-mode + text-scale-adjust + next-line + scrolling

From: E Sabof <[email-masked]>
Date: Sat, 15 Jun 2013 23:48:51 +0100

On Sat, Jun 15, 2013 at 1:45 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 15 Jun 2013 13:10:22 +0100
> > From: E Sabof <[email-masked]>
> > Cc: [email-masked], [email-masked]
> >
> > > I have no opinion on that.  In my experience, arguing about defaults
> > > is a waste of time.  Please note, however, that Emacs can display
> > > images in any mode, so I wouldn't know how to identify the "modes that
> > > use images".
> > >
> >
> > One way to do it would be for modes to identify themselves, by setting
> > auto-window-vscroll to t.
>
> Then every mode will need to do that.
>

The idea is that in practice, the functionality isn't needed most of the
time, but backfires with text-scale-adjust. The only two modes that I use
that mix images and text are org-mode and w3m. I'm not sure if I like the
idea myself, but it might deserve a place on the side of the table.

>
> > A perhaps better approach might be to make auto-window-vscroll only act
> on
> > lines significantly larger than default height (x4?), and not on any line
> > with a non-standard height.
>
> You need to consider the window height as well (or only that), not
> just the default font size.  And if we go that way, I'd argue that
> vscroll should be used regardless of the value of auto-window-vscroll.
>

At the moment I'm a bit confused as to how auto-window-vscroll works right
now. I might try to dig a bit deeper at some point, and put together a
prototype of how I think it should work.